<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>2.4 Variable Names</title>
<link href="sx2c.html" rev=precedes>
<link href="sx2e.html" rel=precedes>
<link href="sx2.html" rev=subdocument>
</head>
<body>
<H2>2.4 Variable Names</H2>

<p>[This section corresponds to K&amp;R Sec. 2.1]
</p><p>Within limits, you can give your variables
and functions
any names you want.
These names
(the formal term is ``identifiers'')
consist of letters, numbers, and underscores.
For our purposes, names must begin with a letter.
Theoretically,
names can be as long as you want,
but extremely long ones get tedious to type after a while,
and the compiler is not required to keep track of extremely
long ones perfectly.
(What this means is that if you were to name a variable, say,
<TT>supercalafragalisticespialidocious</TT>,
the compiler might get lazy and pretend that you'd named it
<TT>supercalafragalisticespialidocio</TT>,
such that if you later misspelled it
<TT>supercalafragalisticespialidociouz</TT>,
the compiler wouldn't catch your mistake.
Nor would the compiler necessarily be able to tell the 
difference if for some perverse reason you <em>deliberately</em> 
declared a second variable named
<TT>supercalafragalisticespialidociouz</TT>.)

</p><p>The capitalization of names in C is significant:
the variable names <TT>variable</TT>, <TT>Variable</TT>, and 
<TT>VARIABLE</TT>
(as well as silly combinations like <TT>variAble</TT>)
are all distinct.
</p><p>A final restriction on names is that you may not use <dfn>keywords</dfn>
(the words such as <TT>int</TT> and <TT>for</TT>
which are part of the syntax of the language)
as the names of variables or functions
(or as identifiers of any kind).
</p><hr>
<p>
Read sequentially:
<a href="sx2c.html" rev=precedes>prev</a>
<a href="sx2e.html" rel=precedes>next</a>
<a href="sx2.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
